/*
 * PieDataset.java
 *
 * Created on 15 agosto 2005, 17.49
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package it.businesslogic.ireport.chart;

/**
 *
 * @author Administrator
 */
public class ValueDataset extends Dataset {
    
    private String valueExpression = "";
        
    /** Creates a new instance of PieDataset */
    public ValueDataset() {
        super();
    }

    public String getValueExpression() {
        return valueExpression;
    }

    public void setValueExpression(String valueExpression) {
        this.valueExpression = valueExpression;
    }

    
    public Dataset cloneMe()
    {
        ValueDataset obj = new ValueDataset();
        copyBaseDataset(obj);
        obj.setValueExpression( getValueExpression());
        return obj;
    }  
    
}
